/*******************************************************************************
* Licensed Materials - Property of IBM
* (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
* 
* Note to U.S. Government Users Restricted Rights:
* Use, duplication or disclosure restricted by GSA ADP Schedule
* Contract with IBM Corp. 
*******************************************************************************/

dojo.provide("com.ibm.epm.web.core.ui.internal.EPMConstants");

(function(){

    /*
     * EPM Core constants.
     */
    com.ibm.epm.web.core.ui.internal.EPMConstants = {
        NEWElEMENTSUFFIX: "unsaved",
		TEMPCHILD: "_tempChild",
		TEMPCHILDHREF: "temp_link",
        LOADING: "Loading ...",
        DEFAULT_GRID_TITLE: "EPM Grid",
        
        //Menu types
        POPUP_TYPE: "popup",
        MENU_TYPE: "menu",
        CREATE_ID: "CREATE_ID",
        CREATE_LABEL: "Create New",
        
		ITERATION_ID: "iteration",
		
		ITERATION_LABEL: "Iteration",

        CREATE_CHARGECODE_ID: "CREATE_CHARGECODE",
        CREATE_TIMECODE_ID: "CREATE_TIMECODE",
        CREATE_STATICPOOL_ID: "CREATE_STATICPOOL",
        
        //STATIC POOL TYPE
        EPM_STATICPOOL_TYPE: "epmstaticpool",
		
		CODE_RENAME_ID: "CodeRenameId",
		CODE_RENAME_LABEL: "Rename",
		
		/*
		 * WI Config Handler
		 */
		
		LOADING_CONFIG	:	"LOADING_CONFIG",
		LOADED_CONFIG	:	"LOADED_CONFIG"    
    };
    
})();
