/*******************************************************************************
* Licensed Materials - Property of IBM
* (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
* 
* Note to U.S. Government Users Restricted Rights:
* Use, duplication or disclosure restricted by GSA ADP Schedule
* Contract with IBM Corp. 
*******************************************************************************/

({
    // State
    OPEN: "Open",
    CLOSED: "Closed",
    INPROGRESS: "In Progress",
    SUSPENDED: "Suspended",
    
    // Messages to show while loading a dialog
    LOADING_SKILLS_DIALOG_IN_PROGRESS: "Loading Skills",
    LOADING_COMPETENCIES_DIALOG_IN_PROGRESS: "Loading Competencies",
    LOADING_RATES_DIALOG_IN_PROGRESS: "Loading Rates",
    
	//Page Titles
	USER_ADMIN_PAGE_TITLE:"Users",
	SKILLS_ADMIN_PAGE_TITLE:"Skills",
	COMPETENCIES_ADMIN_PAGE_TITLE:"Competencies",
	PROFICIENCIES_ADMIN_PAGE_TITLE:"Proficiencies",
	PROFILES_ADMIN_PAGE_TITLE:"Profiles",
	POOLTYPES_ADMIN_PAGE_TITLE:"Pool Types",
	TIMECODES_ADMIN_PAGE_TITLE:"Time Codes",
	CHARGECODES_ADMIN_PAGE_TITLE:"Charge Codes",
	RATES_ADMIN_PAGE_TITLE:"Rates",
	RISKCATEGORIES_ADMIN_PAGE_TITLE:"Risk Categories",
	CALENDARS_ADMIN_PAGE_TITLE:"Calendars",
	
    // Grid
    DESCRIPTION: "Description",
	
	//WBS items
	PROJECT : "Project",
	PROGRAM : "Program",
	ITERATION : "Iteration",
    
    // Menu items
    CREATE_LABEL: "Create New",
    TIMECODE_LABEL: "Timecode",
    CHARGECODE_LABEL: "Chargecode",
	
	CHARGE_CODE_TREE_LABEL: "Charge Code",
	TIME_CODE_TREE_LABEL: "Time Code",
    
    // Project Profiles Viewlet
    PROJECT_PROFILES_TITLE: "Project Profiles",
	
	RISK_CATEGORY_GRID_TITLE: 'Risk Category',
    
    USERS_TITLE: "List of Users",
    
    //Column Headers
    NAME: "Name",
    DESCRIPTION: "Description",
    EXPERIENCE: "Experience",
    SKILL: "Skill",
    SKILLS: "Skills",
	POOL : "Pool",
    COMPETENCY: "Competency",
    COMPETENCIES: "Competencies",
    PROFICIENCY: "Proficiency",
    PROFICIENCY_LEVEL: "Proficiency Level",
    ACQUIRED: "ACQUIRED",
    APPLIED: "APPLIED",
    MASTERED: "MASTERED",
    RATE: "Rate",
    COST_RATE: "Cost Rate",
    SELLING_RATE: "Selling Rate",
    CALENDAR: "Calendar",

    SKILL_ASSOCIATION_DIALOG_SUMMARY: "The following skills apply to this profile.",
    COMPETENCY_ASSOCIATION_DIALOG_SUMMARY: "The following competencies apply to this profile.",
	
	// Dialog titles
    SKILL_ASSIGNMENT_DIALOG_TITLE: "Skills",
    COMPETENCY_ASSIGNMENT_DIALOG_TITLE: "Competencies",
    RATE_ASSIGNMENT_DIALOG_TITLE: "Rates",
    CALENDAR_ASSIGNMENT_DIALOG_TITLE: "Calendars",

    // Dialog summaries
    	
    // Button Labels
    ADD_SKILL: "Add Skill",
    ADD_COMPETENCY: "Add Competency",
    ADD_PROFILE: "Add Profile",
    ADD_RATE: "Add Rate",
    ADD_CALENDAR: "Add or Update Calendar",
    ADD_RISK_CATEGORY: "Add Risk Category",
    ADD_POOL: "Add Pool",
    ADD_POOL_TYPE: "Add Pool Type",
    ADD_CHARGECODE: "Add Charge Code",
    ADD_TIMECODE: "Add Time Code",
    ADD_PROFICIENCY: "Add Proficiency",
        
    DELETE_SKILL: "Delete Skill",
    DELETE_COMPETENCY: "Delete Competency",
    DELETE_PROFILE: "Delete Profile",
    DELETE_RATE: "Delete Rate",
    DELETE_CALENDAR: "Delete Calendar",
    DELETE_RISK_CATEGORY: "Delete Risk Category",
    DELETE_POOL: "Delete Pool",
    DELETE_POOL_TYPE: "Delete Pool Type",
	DELETE_CHARGECODE: "Delete Charge Code",
	DELETE_TIMECODE: "Delete Time Code",
	DELETE_PROFICIENCY: "Delete Proficiency",
    
    ADD: "Add",
    SAVE: "Save",
    REFRESH: "Refresh",
    DELETE: "Delete",
    REMOVE: "Remove",
    
    //Toolbar
    NEW_PROFILE: "New Profile",
    
    //Confirmation DialogBox
    YES: "Yes",
    NO: "No",
    YESTOALL: "Yes to all",
    NOTOALL: "No to all",
    DIALOG_TITLE: "Confirm Delete",
    DIALOG_CONTENT_MULTIPLE_PROFILES_SELECTED: "Are you sure you want to delete the selected profiles?",
    DIALOG_CONTENT_SINGLE_PROFILE_SELECTED: "Are you sure you want to delete the selected profile?",
	DIALOG_CONTENT_MULTIPLE_SKILLS_SELECTED: "Are you sure you want to delete the selected skills?",
    DIALOG_CONTENT_SINGLE_SKILL_SELECTED: "Are you sure you want to delete the selected skill?",
	DIALOG_CONTENT_MULTIPLE_COMPETENCIES_SELECTED: "Are you sure you want to delete the selected competecies?",
    DIALOG_CONTENT_SINGLE_COMPETENCY_SELECTED: "Are you sure you want to delete the selected competency?",
	DIALOG_CONTENT_MULTIPLE_RISK_CATEGORIES_SELECTED: "Are you sure you want to delete the selected risk categories?",
    DIALOG_CONTENT_SINGLE_RISK_CATEGORY_SELECTED: "Are you sure you want to delete the selected risk category?",
	DIALOG_CONTENT_MULTIPLE_STATIC_POOL_TYPES_SELECTED: "Are you sure you want to delete the selected pool types?",
    DIALOG_CONTENT_SINGLE_STATIC_POOL_TYPE_SELECTED: "Are you sure you want to delete the selected pool type?",
	DIALOG_CONTENT_MULTIPLE_CHARGE_CODES_SELECTED: "Are you sure you want to delete the selected charge codes?",
    DIALOG_CONTENT_SINGLE_CHARGE_CODE_SELECTED: "Are you sure you want to delete the selected charge code?",
	DIALOG_CONTENT_MULTIPLE_TIME_CODES_SELECTED: "Are you sure you want to delete the selected time codes?",
    DIALOG_CONTENT_SINGLE_TIME_CODE_SELECTED: "Are you sure you want to delete the selected time code?",
	DIALOG_CONTENT_MULTIPLE_SELECTION_NOT_SUPPORTED: "Multiple selection code delete not supported. ",
	DIALOG_CONTENT_MULTIPLE_RATES_SELECTED: "Are you sure you want to delete the selected rates?",
    DIALOG_CONTENT_SINGLE_RATE_SELECTED: "Are you sure you want to delete the selected rate?",
	DIALOG_CONTENT_MULTIPLE_PROFICIENCY_SELECTED: "Are you sure you want to delete the selected proficiencies?",
    DIALOG_CONTENT_SINGLE_PROFICIENCY_SELECTED: "Are you sure you want to delete the selected proficiency?",
	DIALOG_CONTENT_MULTIPLE_CALENDARS_SELECTED: "Are you sure you want to delete the selected calendars?",
    DIALOG_CONTENT_SINGLE_CALENDAR_SELECTED: "Are you sure you want to delete the selected calendar?",
	
	//Time Code and Charge Code max length Message
	CHARGE_CODE_LENGTH_EXCEED: "The charge code name has a limit of 32 characters, please reduce the number of characters.",
	TIME_CODE_LENGTH_EXCEED: "The time code name has a limit of 32 characters, please reduce the number of characters.",
	
	//Code Display LABEL
	CODE_NAME_LABEL: "Name",
	CODE_DESCRIPTION_LABEL: "Description",
	CODE_CODE_LABEL: "Code*",
	CODE_BILLABLE_LABEL: "Billable",
	CODE_STATE_LABEL: "State",
	CODE_CATEGORY_LABEL: "Category",
	
	//tool tip
    CATEGORY_TOOLTIP :"Charge code is available as budget category",
	BILLABLE_TOOLTIP:"Charge code is billable",
	
    // Admin Skills Messages
    NEW_SKILL: "New Skill",
    // Admin Competencies Messages
    NEW_COMPETENCY: "New Competency",
    
	NEW_PROFICIENCY : "New Proficiency",
    // Admin StaticPool Type Messages
    NEW_STATICPOOL_TYPE: "New Pool Type",
	
	NEW_RISK_CATEGORY: "New Risk Category",
	
	
    
    // Error messages
    GET_ALL_PROFILES_FAILED: "Loading of Profiles has failed",
    CREATE_PROFILE_FAILED: "Profile creation has failed",
    PROFILES_NOT_AVAILABLE: "No profile is available",
    DELETE_PROFILE_ERROR: "Profile deletion has failed",
    SELECT_AND_DELETE: "Select a Profile to delete",
    PROFILE_SAVE_FAILED: "Profile save has failed",
    PROVIDE_PROFILE_NAME: "Please provide Profile Name",
    NAME_CANNOT_BE_BLANK: "Name cannot be blank",
    
    /**************** BEGIN CALENDAR MESSAGES *************************************/	
    FAILED_TO_FETCH_CALENDAR: "Failed to fetch calendar",
    FAILED_TO_FETCH_EXCEPTIONS: "Failed to fetch exceptions",
    EXCEPTIONS_FOR: "Exceptions for ",
    NEW_CALENDAR: "New Calendar",
    NAME: "Name",
    HOURS_PER_DAY: "Hours Per Day",
    ENTER_A_COMMENT: "Please enter a comment",
    YOU_CAN_BLOCK_UPTO: "You can only block upto",
    FAILED_TO_SAVE_EXCEPTION: "Failed to save exception!",
    FAILED_TO_REMOVE_EXCEPTION: "Failed to remove exception!",
    EVERY: "Every",
	SUNDAY: "Sunday",
	MONDAY: "Monday",
	TUESDAY: "Tuesday",
	WEDNESDAY: "Wednesday",
	THURSDAY: "Thursday",
	FRIDAY: "Friday",
	SATURDAY: "Saturday",
	JANUARY: "January",
	FEBRUARY: "February",
	MARCH: "March",
	APRIL: "April",
	MAY: "May",
	JUNE: "June",
	JULY: "July",
	AUGUST: "August",
	SEPTEMBER: "September",
	OCTOBER: "October",
	NOVEMBER: "November",
	DECEMBER: "December",
	//Calendar dialog messages
	REMOVE_EXCEPTION_BTN:"Remove Exception",
	SAVE_EXCEPTION_BTN:"Save Exception",	
	FROM_LABEL:"From",
	TO_LABEL:"To",
	HOURS_BLOCKED_LABEL:"Hours Blocked",
	REPEAT_EXCEPTION_LABEL:"Repeat Exception",
	COMMENT_LABEL:"Comments (max. 250 characters)",
	REPEAR_TYPE_LABEL:"Repeat Type",
	WEEKLY:"Weekly",
	YEARLY:"Yearly",
	EXCEPTIONS_CANNOT_BE_CREATED_FOR_UNSAVED_CALENDAR: "Exceptions cannot be created for unsaved calendar",
	EXCEPTION_BUTTON_LABEL: "Exception...",
	CALENDAR : "Calendar",
	MAX_COMMENT_LENGTH_ERROR : "Comments can contain maximum 250 characters.",
	
    /**************** END CALENDAR CONSTANTS *************************************/	
	
	CLOSE: "Close",
	
	COMPETENCY_IS_MANDATORY: "Competency and Proficiency are required. Could not create the profiles:",
	
	TIME_CODE_TREE_ROOT_LABEL: "No time code is present.",
	CHARGE_CODE_TREE_ROOT_LABEL: "No charge code is present.",
	
	//EPMSettings Action Sets messages
	ACTION_SETS_CALENDAR_LABEL:"Calendars",
	ACTION_SETS_FINANCIAL_LABEL:"Financial",
	ACTION_SETS_FINANCIAL_TIMECODES_LABEL:"Time Codes",
	ACTION_SETS_FINANCIAL_CHARGECODES_LABEL:"Charge Codes",	
	ACTION_SETS_FINANCIAL_RATES_LABEL:"Rates",
	ACTION_SETS_RESOURCES_LABEL:"Resources",
	ACTION_SETS_RESOURCES_SKILLS_LABEL:"Skills",	
	ACTION_SETS_RESOURCES_COMPETENCIES_LABEL:"Competencies",
	ACTION_SETS_RESOURCES_POOLTYPE_LABEL:"Pool Types",
	ACTION_SETS_RESOURCES_PROFILES_LABEL:"Profiles",
	ACTION_SETS_USERS_LABEL:"Users",
	ACTION_SETS_USERS_USER_LABEL:"User",
	ACTION_SETS_RESOURCES_PROFICIENCIES_LABEL : "Proficiencies",
	ACTION_SETS_RISK_CATEGORY_LABEL:"Risk Categories",
	ADMIN_UNAUTHORIZED_MSG:"You are not authorized to access the Jazz Team Server Admin UI",
	NAV_REFRESH:"Refresh",
	
	//calendar Grid Title
	ADMIN_CALENDAR_GRID:"AdminCalendarGrid",
		
	// Grid Titles
    TIMECODE_GRID_TITLE: "TimeCode",
    CHARGECODE_GRID_TITLE: "ChargeCode",
    COMPETENCY_GRID_TITLE: "Competencies",
    SKILL_GRID_TITLE: "Skills",
	PROFICIENCY_GRID_TITLE : "Proficiencies",
    STATICPOOL_TYPE_GRID_TITLE: "PoolType",
    RATE_GRID_TITLE: "Rates",
	SYSTEM_PROFILE_GRID_TITLE:"SystemProfiles",
	EPM_USER_POOLS_GRID_TITLE : "Pools",
	EPM_USER_CALENDAR_GRID_TITLE:"UserCalendarGrid",
	
	// User Management page
    USERMGMT_SKILL_SECTION_TITLE: "Skills",
    USERMGMT_COMPETENCY_SECTION_TITLE: "Competencies",
    USERMGMT_POOL_SECTION_TITLE: "Pools",
    USERMGMT_RATE_SECTION_TITLE: "Rates",
    USERMGMT_CALENDAR_SECTION_TITLE: "Calendar",
    USERMGMT_SKILL_SECTION_SUMMARY: "Specify the skills and their proficiency levels for this user.",
    USERMGMT_COMPETENCY_SECTION_SUMMARY: "Specify the competencies and their proficiency levels for this user.",
    USERMGMT_POOL_SECTION_SUMMARY: "Specify the pools that this user belongs to.",
    USERMGMT_RATE_SECTION_SUMMARY: "Specify the cost and selling rates associated with work performed by this user.",
    USERMGMT_CALENDAR_SECTION_SUMMARY: "Select the calendar that will determine the working time for this user. Once assigned, the calendar cannot be replaced. However, the assigned calendar can be modified with exceptions unique to this user.",
    USERMGMT_RATE_NAME_LABEL: "Rate Name:",
    USERMGMT_RATE_COST_LABEL: "Cost Rate:",
    USERMGMT_RATE_SELLING_LABEL: "Selling Rate:",
    USERMGMT_RATE_RATESBUTTON_LABEL: "Rates...",
    USERMGMT_RATE_NOT_SELECTED: "<select rates>",
    USERMGMT_CALENDAR_NAME_LABEL: "Calendar:",
    USERMGMT_CALENDAR_HOURS_LABEL: "Hours per day:",
    USERMGMT_CALENDAR_CALENDARBUTTON_LABEL: "Calendars...",
    USERMGMT_CALENDAR_EXCEPTIONSBUTTON_TOOLTIP: "Edit Exceptions",
    USERMGMT_CALENDAR_NOT_SELECTED: "<select a calendar>",
	
	//Resource Rate Association buttons messages
	
	ASSIGN_RATE:"Assign Rate",
	UNASSIGN_RATE:"Unassign Rate",
	
	//SkillProficiency Assignment and CompetencyProficiency Assignment
	
    OK:"OK",
    CANCEL:"Cancel",
	
    // Text for profile page's Rates assignment dialog check box to indicate that no rate is specified    
    RATES_UNSPECIFIED_LABEL: "Rates unspecified",
    PROFILE_RATE_ASSOCIATION_DIALOG_SUMMARY: "Select one pair of cost and selling rates for this profile.",
    USER_RATE_ASSOCIATION_DIALOG_SUMMARY: "Select one pair of cost and selling rates for this user.",

	// Messages that make up the "navigate away" warnings
	NAVIGATE_AWAY: "Are you sure you want to navigate away from this page?",
    UNSAVED_CHANGES: "You have unsaved changes in the user editor.  If you continue, you will lose your changes.",
    OK_OR_CANCEL: "Press OK to continue, or Cancel to stay on the current page.",
    REFRESH_WARNING: "Refreshing will discard any changes you have made.  Would you like to continue?",
	
	// Messages for the old user management page to direct user to the new page
	USER_ADMIN_PAGE_HTML: "<p>To manage Project Management users, go to the Jazz Team Server ${0} page.</p>" + 
	    "<p>In the User Management page, click a user name to modify the user details. To modify project management user attributes, click the Project Management tab.</p>",
	USER_ADMIN_PAGE_NAME: "User Management",
	
	//Skill, Competency, Proficiency Assignment Errors
	NO_PROFICIENCY_FOUND: "No proficiencies exist. Go to Project Management Administration > Proficiencies page and create proficiencies",
	NO_SKILL_FOUND: "No skills exist. Go to Project Management Administration > Skills page and create skills",
	NO_COMPETENCY_FOUND: "No competencies exist. Go to Project Management Administration > Competencies page and create competencies",
	
	LOADING_CALENDAR_INFO: "Loading calendar information",
	CALENDAR_EXCEPTION_DIALOG_SUMMARY: "Specify the day or date range for an exception to this calendar",
	
    CELL_NOT_A_NUMBER: "Enter a valid number",
    CELL_WHOLE_NUMBER_ONLY: "Enter a whole number",
    CELL_WRONG_DECIMAL_PLACES: "Enter a number with no more than ${0} decimal places",
    CELL_BELOW_MIN_NUMBER: "Enter a number greater than or equal to ${0}",
    CELL_ABOVE_MAX_NUMBER: "Enter a number less than or equal to ${0}"
	
    
})
