/*******************************************************************************
* Licensed Materials - Property of IBM
* (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
* 
* Note to U.S. Government Users Restricted Rights:
* Use, duplication or disclosure restricted by GSA ADP Schedule
* Contract with IBM Corp. 
*******************************************************************************/

({
    // Viewlet
    WBS_ATTRIBUTES_TITLE: "WBS Attributes",
    
    // Grid
    NAME: "Name",
    STATE: "State",
    DESCRIPTION: "Description",
    
    //Menu options
    CREATE_LABEL: "Create New",
	RENAME: "Rename (Enter)",
	REMOVE: "Remove (Delete)",
	
	// WBS Element Types
    PROJECT: "Project",
	PROGRAM:"Progeam",
    WORKITEM: "WorkItem",
	WORKITEM_QUERY_EDITOR_TITLE:"Work Item Query Editor",
    TASK: "Task",
    SUMMARYTASK: "Summary Task",
    MILESTONE: "Milestone",
    DEFECT: "Defect",
    CHANGEREQUEST: "Change Request",
    ISSUE: "Issue",
    RISK: "Risk",
	ITERATION: "Iteration",
	PROGRAM: "Program",
	DOCUMENT: "Document",
	STORY: "Story",
    
    //Impex
    EXPORT: "Export Project",
    IMPORT: "Import Project",
    IMPORT_IN_PROGRESS: "Import in progress ...",
    IMPORT_SUCCESS: "Import successful",
    INVALID_FILE: "Select an XML file to import.",
    IMPORT_BUTTON: "Import",	
	NEXT_BUTTON:"Next",
	PREVIOUS_BUTTON :"Previous",
	MAP_BUTTON : "Map",
	REMOVE_BUTTON : "Remove",
	IMPORT_HEADER : "Microsoft Project Import Wizard",
	SELECTFILE : "Select File",
	MAPRESOURCE : "Map resource",
	SUMMARY : "Summary",
	FILE : "File",
	FINISH :"Finish",
	IMPORT_ANOTHER_PROJECT : "Import Another Project",
	MICROSOFT_PROJECT_USERS : "External Resources",
	TARA_PROJECT_USERS : "Available Resources",
	INCOMPLETE_MAPPING : "Map all External Resources to Available Resources",
	PROFILE_CAPTION : "Default Profile for unmapped user",
	VALID_PROJECT_NAME : "Enter project name",
	PROJECT_EXISTS : "Project name already exists",
	UPLOAD_FILE_PATH : "Specify the XML file to import",
	MAP_RESOURCE_GRID_TITLE : "Map Resources",
	RESOURCE_TYPE : "Resource Type",
	APPLY : "Apply",
	MORE : "More...",
	PLEASE_MAP_USER :"Please map all users",
    
    // Toolbar
    //Gantt Timescale
    GANTT_TIMESCALE: "Timescale: ",
    GANTT_TIMESCALE_YEAR: "Year",
    GANTT_TIMESCALE_QUARTER: "Quarter",
    GANTT_TIMESCALE_MONTH: "Month",
    GANTT_TIMESCALE_WEEK: "Week",
	
	SHOW_CRITICAL_PATH:"Show critical path of selected project (Shift+C)",
	HIDE_CRITICAL_PATH:"Hide critical path of selected project (Shift+C)",
	GOTO_TODAY:"Go to Today (Shift+T)",
	ADD_DEPENDENCY:"Add Dependency (Shift+D)",
	PRINT:"Print",
	BASELINE:"Create Baseline (Shift+B)",
	SAVE_BASELINE:"Save Baseline",
	REMOVE_WBS: "Remove selected WBS element (Delete)",
	DELETE_DEPENDENCY: "Delete Dependency (Shift+X)",
    
    MONTH_SHORTNAME_JANUARY: "Jan",
    MONTH_SHORTNAME_FEBRUARY: "Feb",
    MONTH_SHORTNAME_MARCH: "Mar",
    MONTH_SHORTNAME_APRIL: "Apr",
    MONTH_SHORTNAME_MAY: "May",
    MONTH_SHORTNAME_JUNE: "Jun",
    MONTH_SHORTNAME_JULY: "Jul",
    MONTH_SHORTNAME_AUGUST: "Aug",
    MONTH_SHORTNAME_SEPTEMBER: "Sep",
    MONTH_SHORTNAME_OCTOBER: "Oct",
    MONTH_SHORTNAME_NOVEMBER: "Nov",
    MONTH_SHORTNAME_DECEMBER: "Dec",
    
    QUARTER_ONE: "Q1",
    QUARTER_TWO: "Q2",
    QUARTER_THREE: "Q3",
    QUARTER_FOUR: "Q4",
    
    WEEKDAY_SHORTNAME_MONDAY: "M",
    WEEKDAY_SHORTNAME_TUESDAY: "T",
    WEEKDAY_SHORTNAME_WEDNESDAY: "W",
    WEEKDAY_SHORTNAME_THURSDAY: "T",
    WEEKDAY_SHORTNAME_FRIDAY: "F",
    WEEKDAY_SHORTNAME_SATURDAY: "S",
    WEEKDAY_SHORTNAME_SUNDAY: "S",
    
    // Critical Path Display
    CRITICAL_PATH: "Critical Path",
	SELECT_PROJECT_FOR_CRITICAL_PATH : "To calculate the critical path, select a project.",
    
    SAVE: "Save",
    REFRESH: "Refresh (Shift+F)",
	CURRENT_ITERATION: "Set as Current",

    EXPAND_COLLAPSE: "Expand/Collapse",
    EXPAND_ALL: "Expand All",
    COLLAPSE_ALL: "Collapse All",
    
    //Error messages
    CIRCULAR_DEPENDENCY_DISALLOWED: "Circular dependency cannot be created.",
    DEPENDENCY_ALREADY_EXISTS: "Dependency already exists",
    DEPENDENCY_ON_UNSAVED_ITEM: "Dependency cannot be created with unsaved elements. Save the elements and try again.",
	   
    //WBS Tree messages.
    USER_NOT_PART_OF_ANY_PROJECT_AREA: "You are not a member of the project area. A user with administrative permission must add you to the project area.",
    WBS_TREE_MISSING: "This feature is only available from within IBM Rational Project Conductor",
    
    //For Project Wizard
	PORJECT_WIZARD_TITLE: "Create Project",
	PROJECT_WIZARD_SAVE_CAPTION: "OK",
	PROJECT_WIZARD_CANCEL_CAPTION: "Cancel",
	PROJECT_CAPTION: "Name:",
	PARENT_CAPTION: "Parent:",
	PROCESS_TEMPLATE_CAPTION: "Process Template:",
	CALENDAR_CAPTION: "Calendar:",
	ASSIGNMENT_TYPE_CAPTION: "Assignment Type:",
	START_DATE_CAPTION: "Start Date:",
	FINISH_DATE_CAPTION: "End Date:",
	PROJECT_AREA_CAPTION: "Project Area:",
	ROOT_PROJECT_CAPTION: "Root Project",
	PROJECT_TYPE_CAPTION: "Type:",
	LABOUR_FORECAST_TYPE_CAPTION: "Labor Forecast Type:",
	INVALID_WIZARD_INPUTS: "Project name is not entered",
	SAVING: "Saving",
	PROCESS_TEMPLATES_URI: "epm/services/work/getPredefinedProcesses",
	NO_PROCESS_TEMPLATES_MSG: "No process templates",
	
	//For Export Dialog buttons messages
	OK:"OK",
	CANCEL:"Cancel",
	
	//For Details View
	NO_TREE_NODE_SELECTED_MSG: "To view the details, select an element from the WBS tree",
	DETAILS_NOT_AVAILABLE_MSG: "Details cannot be displayed for Programs and Iterations. Select a different WBS element type in the WBS tree to view details.",
	NEW_TREE_NODE_SELECTED_MSG: "Details cannot be displayed for unsaved WBS elements. Save the elements and then view the details.",
	ACTION_NOT_SUPPORTED_MSG: "This action is not supported in the WBS Details viewlet.",
	FAILED_TO_LOAD_PROJECT_CALENDAR : "Loading calendar failed", 
    
	//Baseline 
	SELECT_PROJECT_TO_CREATE_BASELINE : "To create a baseline, select a project in the WBS tree.",
	SELECT_PROJECT_TO_POPULATE_BASELINE: "To view baselines, select a project in the WBS tree.",
	NO_BASELINES_AVAILABLE: "No baselines are available for the project",
	CREATE_BASELINE_TITLE: "Create Baseline",
	
	//Baseline Dialog labels
	BASELINE_INFO_LABEL: "A new baseline will be created from the Plan dates of the project.<br>The baseline will be available in the Baselines tab.",
	BASLINE_NAME_LABEL: "Baseline Name:",
	
    // Dialog
    YES:"Yes",
    NO:"No",
    SCHEDULE_DIALOG_NOT_SAVED: "Update new ${0} date ?",
    SCHEDULE_NOT_SAVED_DIALOG: "The new finish date date is beyond the \'${0}\' constraint date for the work item.",
    SCHEDULE_SAVE_CONFIRMATION: "The constraint will be removed.",
    SCHEDULE_NOT_SAVED_DIALOG_2: "A start date of ${0} will change the finish date to ${1}.",
    FNLT_CONSTRAINT: "Finish No Later Than",
    
    INVALID_CONSTRAINT_DATE_HEADER: "Invalid ${0} date.",
    INVALID_CONSTRAINT_DATE_DIALOG: "The ${0} date is earlier than the ${1} date, and cannot be saved.",
    INVALID_CONSTRAINT_DATE_ALERT: "You can specify a ${0} date that is the same as or later than ${1} date.",

    START_DATE: "start",
    FINISH_DATE: "finish",
    CONSTRAINT_DATE: "constraint",
	
	//Discard unsaved changes dialog
	CONFIRM_UNSAVED_CHANGES: "Refreshing will discard your unsaved changes. Do you want to continue?",
    CONFIRM_TO_SAVE_UNSAVED_CHANGES: "There are unsaved changes in the page. Do you want to save the changes?",
    CONFIRM_TO_SAVE_UNSAVED_CHANGES_2: "(If you click No, the pending changes will be lost)",
	DISCARD_CHANGES_TITLE: "Discard Unsaved Changes",
	
	//Discard unsaved schedule changes
	CONFIRM_SCHEDULE_UNSAVED_CHANGES_MESSAGE: "Click OK to continue, or Cancel to go back and save the changes, and then perform this operation again.",
	CONFIRM_SCHEDULE_UNSAVED_CHANGES_MESSAGE_CP: "Any unsaved changes to the project schedule will be discarded when the critical path is calculated.", 
	CONFIRM_SCHEDULE_UNSAVED_CHANGES_MESSAGE_RD: "Any unsaved changes to the project schedule will be discarded when the project dependencies are resolved.",

	//Resolve dependencies 
	RESOLVE_DEPENDENCY : "Resolve Dependency",
	RESOLVE_DEPENDENCY_BUTTON_TITLE: "Resolve Dependency (Shift+R)",
	RESOLVE_PROJECT_DEPENDENCY : "Resolve Project Dependencies",
	WARNING_BEFORE_RESOLVING_DEPENDENCY : "This action will update the Plan dates of the tasks to accommodate the dependency relationship. If no dependencies are found, no action will be taken. You cannot undo this action. Do you want to continue? ",
	SELECT_PROJECT_TO_RESOLVE_DEPENDENCIES : "To resolve dependencies, select a project in the WBS tree.",
    WARNING_BEFORE_RESOLVING_DEPENDENCY_IF_ASSIGNMENT_EXISTS : "This action will extend the resource assignment dates at the project level. You cannot undo this action. Do you want to continue?",
    
    // Error messages for duration
    NEGATIVE_DURATION_NOT_ALLOWED: "Invalid duration for \"${0}\". Duration cannot be zero or a negative value.",
    NON_NUMERIC_DURATION_NOT_ALLOWED: "Invalid duration for \"${0}\". Duration must be a numeric value.",
	NEGATIVE_DC_NOT_ALLOWED: "Percentage duration complete cannot be negative",
	NON_NUMERIC_DC_NOT_ALLOWED: "Percentage duration complete entered is not valid. Enter value between 0 to 100.",
	DECIMAL_DURATION_NOT_ALLOWED: "Invalid duration for \"${0}\". Duration does not support decimal value.",
	
	//Error Messages wbsTreeWidget 
	ERROR_LOADING_PROPERTIES_FOR_WBS : "Error loading properties for editing the WBS element",

	//WBS Details Title
	WBS_DETAILS_TITLE:"WBS Details View",
	
	//WBS Tree StatusLabel InnerHTML	
	STATUSLABEL_INNERHTML:"  Programs and Projects",
	
	//Project Calendar Title
	PROJECTCALENDAR_TITLE:"Project Calendar",
	
	// Grid id      
	WBS_OVERVIEW_GRID_ID : "WBS Overview",
	WBS_SCHEDULE_GRID_ID: "WBS Schedule",
	WBS_BASELINE_GRID_ID : "WBS Baseline",
	
	//WBS Overview Grid Header(columns) Messages
	WBS_OVERVIEW_TYPE:"Type",
	WBS_OVERVIEW_STATE:"State",
	WBS_OVERVIEW_ASSIGNMENTTYPE:"Assignment Type",
	WBS_OVERVIEW_CALENDAR:"Calendar",
	WBS_OVERVIEW_CONSTRAINTTYPE:"Constraint Type",
	WBS_OVERVIEW_CONSTRAINTDATE:"Constraint Date",
	WBS_OVERVIEW_ATTACHMENTS:"Attachments",
	WBS_OVERVIEW_WBSID:"WBS ID",
	
	//WBS Schedule Grid Header(columns) Messages	
	WBS_SCHEDULE_PROPOSED_START:"Start (Exp)",
	WBS_SCHEDULE_PROPOSED_FINISH:"Finish (Exp)",
	WBS_SCHEDULE_PROPOSED_DURATION:"Duration (Exp)",
	WBS_SCHEDULE_PROPOSED_EFFORT:"Effort (Exp)",
	WBS_SCHEDULE_PLANNED_START:"Start (Plan)",
	WBS_SCHEDULE_PLANNED_FINISH:"Finish (Plan)",
	WBS_SCHEDULE_PLANNED_DURATION:"Duration (Plan)",
	WBS_SCHEDULE_PLANNED_EFFORT:"Effort (Plan)",
	WBS_SCHEDULE_ACTUAL_START:"Start (Actual)",
	WBS_SCHEDULE_ACTUAL_FINISH:"Finish (Actual)",
	WBS_SCHEDULE_ACTUAL_EFFORT:"Effort (Actual)",
	WBS_SCHEDULE_PERCENT_C:"%C",
	WBS_SCHEDULE_PERCENT_EC:"%EC",
	WBS_SCHEDULE_PERCENT_DC:"%DC",
	
	//WBS Baseline Grid Header(colums) Message
	
	WBS_BASELINE1_START : "Baseline1 Start Date",
	WBS_BASELINE1_FINISH : "Baseline1 Finish Date",
	WBS_BASELINE1_DURATION : "Baseline1 Duration",
	WBS_BASELINE1_EFFORT : "Baseline1 Effort",
	
	WBS_BASELINE2_START : "Baseline2 Start Date",
	WBS_BASELINE2_FINISH : "Baseline2 Finish Date",
	WBS_BASELINE2_DURATION : "Baseline2 Duration",
	WBS_BASELINE2_EFFORT : "Baseline2 Effort",
	
	WBS_CURRENT_START : "Current Start Date",
	WBS_CURRENT_FINISH : "Current Finish Date",
	WBS_CURRENT_DURATION : "Current Duration",
	WBS_CURRENT_EFFORT : "Current Effort",
	
	//WBS Baseline View HTML labels 
	WBS_BASELINE1_LABEL : "Baseline 1:",
	WBS_BASELINE2_LABEL : "Baseline 2:",
	WBS_CURRENT_LABEL : "Current",
	WBS_SHOW_BUTTON : "Show",
    
    ERROR_FINDING_WBS_TYPES : "Error finding types for WBS elements in \"${0}\"",
	ERROR_NAME_CANNOT_BE_EMPTY: "WBS Element name must not be empty",
	ITERATION_SCHEDULE_TOOLTIP: "Work items are planned for the selected Iteration are outside the Iteration dates",
    
    ERROR_DND_NOT_SUPPORTED: "You cannot move WBS elements in the current view. To move WBS elements, you must go to the Work view - Overview or Schedule viewlet.",
	
	//Tool tip messages for Gantt Bar
	PERCENTAGE_EFFORT_COMPLETE : "% Effort Complete",
	PERCENTAGE_DURATION_COMPLETE : "% Duration Complete",
	PERCENTAGE_COMPLETE : "% Complete",
	ES : "ES: ",
	EF : "EF: ",
	LS : "LS: ",
	LF : "LF: "	
})
