/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007-2008. All Rights Reserved.
 *
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
({
	PROBABILITY_AXIS_LABEL:"Probablility %",
	IMPACT_AXIS_LABEL:"Impact %",
	CHART_LABEL_TWENTY:"20",
	CHART_LABEL_FOURTY:"40",
	CHART_LABEL_SIXTY:"60",
	CHART_LABEL_EIGHTY:"80",
	CHART_LABEL_HUNDRED:"100",
	
	COLON:":",
    
	
	NAME: "Name",
    STATE: "State",
	
    RISK_ACTION_NAME:"Action Summary",
	RISK_ACTION_DURATION:"Duration",
	RISK_ACTION_WORKITEM_ID:"Work Item ID",
	
	DESCRIPTION: "Description",
	DISCUSSION: "Discussion",
	DETAILS: "Details",
	STRATEGIES: "Strategies",
	RISKS_FOR: "Risks",
	
	FOR: " for ",
    
	STRATEGY_DESCRIPTION: "Strategy Description",
	ACTIONS: "Actions",
	
    RISK: "risk",    
    
    //Risk Management
    HIGH: "High",
    MEDIUM: "Medium",
    LOW: "Low",
    
    //Risk Precision abbreviation
    HIGH_ABBR: "H",
    MEDIUM_ABBR: "M",
    LOW_ABBR: "L",
    
    //Risk Impact/Probability Values
    VAL_20: "20",
    VAL_40: "40",
    VAL_60: "60",
    VAL_80: "80",
    VAL_100: "100",
    
    
    SAVE: "Save",
    REFRESH: "Refresh",
    EDIT: "Edit",
	REMOVE : "Remove",
	ADD : "Add",
	
	ADD_COMMENTS : "Add Comments",
    
    IDENTIFICATION_DATE: "Identification Date",
    OCCURRED_DATE: "Occurrence  Date",
    PRECISION: "Precision",
    EXPOSURE: "Exposure",
    CONSEQUENCE_COST: "Consequence Cost",
    CALCULATE: "Calculate",
    DESCRIPTION: "Description",
    RISKCATEGORY: "Risk Category",
    CONTINGENCYPLAN: "Contingency Plan",
    MITIGATIONSTRATEGY: "Mitigation Strategy",
    IMPACT: "Impact",
    PROBABILITY: "Probability",
    PROBABILITY_COST: "Probability Cost",
    RISKDETAILS: "Details",
    RISKUPDATE: "Riskupdate",
    WBSGENERALS: "wbsGenerals",
    CURRENCYUSD: "USD",
	PREVIEW : "Preview",
	RISK_ID : "Risk ID",
    
    PROBABILITY: "Probability",
    IMPACT: "Impact",
    OWNER: "Owner",
    PRIORITY: "Priority",
    OPEN: "Open",
    INPROGRESS: "In Progress",
    CLOSED: "Closed",

	NEWRISK : "New Risk",
	NEW_RISK_STRATEGY : "New Strategy",
	NEW_RISK_ACTION : "New Action",
	
	NO_WBS_PROJECT_SELECTED: "Select a Project from WBS tree to display risk details.",
    WBS_TREE_MISSING: "This feature is only available from within IBM Rational Project Conductor",
	
	 //Confirmation DialogBox
    YES: "Yes",
    NO: "No",
    YESTOALL: "Yes to all",
    NOTOALL: "No to all",
    DIALOG_TITLE: "Confirm Delete",
    DIALOG_CONTENT_MULTIPLE_RISKS_SELECTED: "Are you sure you want to delete selected risks?",
    DIALOG_CONTENT_SINGLE_RISK_SELECTED: "Are you sure you want to delete selected risk?",
	
	CONFIRM_ACTION_DELETE_MESSAGE: "Are you sure you want to delete selected Actions ?",
	CONFIRM_STRATEGY_DELETE_MESSAGE: "Are you sure you want to delete selected Strategies ?",
	RISK_CONTINGENCYPLAN_DESCRIPTION : "Contingency Plan Description",
	RISK_MITIGATIONSTRATEGY_DESCRIPTION : "Mitigation Strategy Description",
		
	RISKMATRIX: "Risk Matrix",
    RISKGRIDNAME: "EPMRiskGrid",
	
	//Risk Strategy Messages
	RISK_STRATEGIES: "Risk Strategies",
	RISK_ACTIONS: "Risk Actions",
	RISK_MITIGATION_STRATEGIES : "Mitigation Strategies",
	RISK_CONTINGENCY_PLANS : "Contingency Plans",
	RISK_ACTION_FIELD_COST : "Cost",
	DELETE_STRATEGY_WITH_ACTION_WORKITEM : "The selected strategy has one or more actions with associated work items, and cannot be deleted",
	CONFIRM_UNSAVED_CHANGES: "Refreshing will discard your unsaved changes. Do you want to continue?",
	DISCARD_CHANGES_TITLE: "Discard Unsaved Changes",
	
	//Tool tips for grid columns
	RISKGRID_TITLE: "Risks associated with the project",
	
	RISK_ID_TITLE : "ID of the risk",
	RISK_NAME_TITLE: "Summary of the risk",
	IDENTIFICATION_DATE_TITLE: "Date when the risk was identified",
    OCCURRED_DATE_TITLE: "Date when the risk occurred",
    RISKCATEGORY_TITLE: "Category of the risk",
	OWNER_TITLE: "Owner assigned to the risk",
	CONSEQUENCE_COST_TITLE: "Risk consequence cost",
	
	STRATEGIES_SECTION_TITLE: "Strategies for the risk ",
	DETAILS_SECTION_TITLE: "Details for the risk ",
	DISCUSSION_SECTION_TITLE: "Discussion for the risk ",
	DESCRIPTION_SECTION_TITLE: "Description of the risk ",
	
	ADD_RISK_TITLE: "Add risk",
	REMOVE_RISK_TITLE: "Delete risk",
	REFRESH_RISK_TITLE: "Refresh",
	SAVE_RISK_TITLE: "Save",
	
	SELECT_STRATEGY_TYPE_TITLE: "Select the risk management option",
	SELECT_MITIGATION_STRATEGIES_TITLE: "Risk mitigation strategies",
	SELECT_CONTINGENCY_PLANS_TITLE: "Risk contingency plans",
			
	ADD_STRATEGY_TITLE: "Add ",
	REFRESH_STRATEGY_TITLE: "Refresh",
	REMOVE_STRATEGY_TITLE: "Delete ",
			
	ADD_ACTIONS_TITLE: "Add a new action",
	REMOVE_ACTIONS_TITLE: "Remove selected actions",
	REFRESH_ACTIONS_TITLE: "Refresh actions",
	STRATEGY_DESCRIPTION_OF: "Description of the ",		
	DESCRIPTION_OF_MITIGATION_TITLE:"mitigation strategy",
	DESCRIPTION_OF_CONTINGENCY_TITLE:"contingency plan",
			
	RISK_STRATEGIES_GRID_TITLE:"Strategies for the risk",
	
	RISK_ACTIONS_GRID_TITLE:"Actions for the risk",

	RISK_ACTION_NAME_TITLE:"Action summary",
	RISK_ACTION_COST_TITLE:"Cost associated with the action",
	RISK_ACTION_DURATION_TITLE:"Duration of the action",
	RISK_ACTION_WORKITEM_ID_TITLE:"ID of the work item created for the action",
	RISK_ACTION_CREATE_WORKITEM_TITLE: "Create a work item for the action",
	
	RISK_ACTION_OPERATIONS:"Action",
	RISK_ACTION_OPERATIONS_TITLE:"Actions available on risk action",
	RISK_WI_CREATE: "Create '",
	RISK_WI_ONSAVE:"' on save",
	
	RISK_CREATE_NO_WI: "None",
	
	RISK_ACTION_CREATE_MENU_TITLE: "Create"
	
})
