<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:msp="http://schemas.microsoft.com/project"
xmlns:tara="http://schema.ibm.com/tara/resources/1.0">

<xsl:param name="Project"/>
<xsl:variable name="empty_string"/>

<xsl:template match="msp:Project">
  <Project>
  	<Name><xsl:value-of select="substring-before(msp:Name, '.')"/></Name>
	<xsl:apply-templates select="msp:Resources"/>
  </Project>
</xsl:template>

<xsl:template match="msp:Resources">
	<xsl:for-each select="msp:Resource">
		<xsl:choose>
			<xsl:when test="msp:UID>0">
				<Resource>
					<UID><xsl:value-of select="msp:UID"/></UID>
					<Name><xsl:value-of select="msp:Name"/></Name>
				</Resource>					
			</xsl:when>
			<xsl:otherwise></xsl:otherwise>
		</xsl:choose>				
	</xsl:for-each>
</xsl:template>

<xsl:template match="projects">
  <Flag>
	<xsl:choose>
		<xsl:when test="link[contains(@title, $Project)]">TRUE</xsl:when>
		<xsl:otherwise>FALSE</xsl:otherwise>
	</xsl:choose>
  </Flag>
</xsl:template>

</xsl:stylesheet>