/*******************************************************************************
* Licensed Materials - Property of IBM
* (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
* 
* Note to U.S. Government Users Restricted Rights:
* Use, duplication or disclosure restricted by GSA ADP Schedule
* Contract with IBM Corp. 
*******************************************************************************/

(function(){
    dojo.provide("com.ibm.epm.web.core.app.internal.Session");
    
    dojo.require("net.jazz.ajax.toolbox.lang.internal.Lang");
    
    
    
    var userProfileLink = new Object();
    
    /**
     * Returns the User Profile link.
     *
     * @since 0.5
     */
    function getUserProfileLink(){
        return userProfileLink;
    }
    
    com.ibm.epm.web.core.app.internal.Session.getUserProfileLink = getUserProfileLink;
    
    /**
     * Sets the User Profile link.
     *
     * @since 0.5
     */
    function setUserProfileLink(link){
        userProfileLink = link;
    }
    
    com.ibm.epm.web.core.app.internal.Session.setUserProfileLink = setUserProfileLink;
    
})();
