/*******************************************************************************
* Licensed Materials - Property of IBM
* (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
* 
* Note to U.S. Government Users Restricted Rights:
* Use, duplication or disclosure restricted by GSA ADP Schedule
* Contract with IBM Corp. 
*******************************************************************************/


(function() {
dojo.provide("com.ibm.epm.risk.web.client.internal.RiskClient");

dojo.require("com.ibm.epm.web.core.transport.EPMServerClient");
dojo.require("com.ibm.epm.web.core.transport.ServiceRequest");

var ServiceRequest = com.ibm.epm.web.core.transport.ServiceRequest;
var EpmServerClient = com.ibm.epm.web.core.transport.EPMServerClient;

var _SERVICE_URI = "com.ibm.team.dashboard.viewlets.service.internal.teams.ITeamsService";

com.ibm.epm.risk.web.client.internal.RiskClient = {

	_BASE_URI: "epm/resources",
	
	
	
	getURI: function(responseHandler, relativeURI){
		var serviceRequest= new ServiceRequest(
					this._BASE_URI + "/" + relativeURI,
					"get");
		EpmServerClient.operateOnResource(serviceRequest, responseHandler);			
    },
	
	getRiskURI: function(responseHandler, param){
		var args = {
			projectArea : param
		};
		
		var serviceRequest= new ServiceRequest(this._BASE_URI +"/risk","get",args);
		EpmServerClient.operateOnResource(serviceRequest, responseHandler);			
    }
	
	
};
})();
