/*******************************************************************************
* Licensed Materials - Property of IBM
* (c) Copyright IBM Corporation 2009. All Rights Reserved.
* 
* Note to U.S. Government Users Restricted Rights:
* Use, duplication or disclosure restricted by GSA ADP Schedule
* Contract with IBM Corp. 
*******************************************************************************/
(function(){
    dojo.provide("com.ibm.epm.admin.web.ui.internal.view.AdminGridModel");
    
    dojo.require("com.ibm.epm.web.core.grid.model.AbstractGridModel");
    
    var AbstractGridModel = com.ibm.epm.web.core.grid.model.AbstractGridModel;
    
    dojo.declare("com.ibm.epm.admin.web.ui.internal.view.AdminGridModel", AbstractGridModel, {
    
 		/**
		 * Override superclass so that rows updated with blank fields can be saved.
		 * See work item 12927.
		 */
		compareFields: function(fieldValue, fieldValue_orig, field) {
			if (fieldValue == null) {
				return false;
			}
            if (fieldValue != fieldValue_orig) {
                return true;
            } else {
                return false;
            }
		}
        
     });
})();
