/*******************************************************************************
* Licensed Materials - Property of IBM
* (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
* 
* Note to U.S. Government Users Restricted Rights:
* Use, duplication or disclosure restricted by GSA ADP Schedule
* Contract with IBM Corp. 
*******************************************************************************/

({

    EPM: "epm",
    // Timesheet Viewlet
    PRINT: "Print",
    REFRESH: "Refresh",
    SAVE: "Save",
    SUBMIT: "Submit",
    RESTORE: "Restore",
    WEEK: "Week:",
    VIEWLETTITLE: "Basic TimeSheet",
    TASKHEADER: "Tasks",
    TASK: "Task:",
	USERS: "Users",
    
    CONTEXT_TREE_LABEL: "Context tree",
    SUMMARY_NOTES_LABEL: "Submitter Notes:",
    APPROVER_NOTES_LABEL: "Approver Notes:",
	TIMESHEET_NOTES: "Timesheet Notes",
    
    //Timesheet action
    APPROVE_TIMESHEET_ACTION: "Approve Timesheet",
    APPROVE_TASK_ACTION: "Approve Task",
    REJECT_TIMESHEET_ACTION: "Reject Timesheet",
    REJECT_TASK_ACTION: "Reject Task",
    
    // State
    OPEN: "Open",
    CLOSED: "Closed",
    INPROGRESS: "In Progress",
    SUSPENDED: "Suspended",
    STATE: "State",
    
    // Grid
    RESOURCE_GRID_TITLE: "Resource grid",
    TIMESHEET: "Timesheet",
    SUBMITTED: "Submitted",
    APPROVED: "Approved",
    TOTALHOURS: "Total Hours",
    STATUS: "Status",
    WORKITEM: "Work Item",
    EXPECTEDSTARTDATE: "Expected Start",
    EXPECTEDFINISHDATE: "Expected Finish",
    
	ACTUALSTARTDATE: "Actual Start",
    ACTUALFINISHDATE: "Actual Finish",
    ACTUALWORK: "Actual Work",
	ACTUALDURATION: "Actual Duration",
    ACTUALWORKWEEK: "Actual Work/Week",
	
	PLANNEDSTARTDATE: "Planned Start",
    PLANNEDFINISHDATE: "Planned Finish",
    PLANNEDWORK: "Planned Work",
	PLANNEDDURATION: "Planned Duration",
    PLANNEDWORKWEEK: "Planned Work/Week",
	
	PLANNED: "Planned",
	ACTUAL: "Actual",
	WORK: "Work",
	STARTDATE: "Start Date",	
	FINISHDATE: "Finish Date",
	
	REMAINING: "Remaining",	
	COMPLETION: "Completion",
	PERCENT: "%",
	
	HOURS: "hours",
	HOUR : "hour",
	DAYS: "days",
	DAY: "day",
    
	FORECASTSTARTDATE: "Forecast Start",
    FORECASTFINISHDATE: "Forecast Finish",
    EXPECTEDTOTALWORK: "Expected Total Work",
    EXPECTEDWORKPERWEEK: "Expected Work/Week",
    SUNDAYREGULAR: "Sun",
    MONDAYREGULAR: "Mon",
    TUESDAYREGULAR: "Tue",
    WEDNESDAYREGULAR: "Wed",
    THURSDAYREGULAR: "Thu",
    FRIDAYREGULAR: "Fri",
    SATURDAYREGULAR: "Sat",
	
    PERCENTAGECOMPLETE: "% Complete",
	
    REMAININGWORK: "Remaining Work",
	REMAININGDURATION: "Remaining Duration",
    
	TOTALACTUALWORKPERWEEK: "Total Actual Work/Week",
	
	TOTAL: "Total",
    
	SUNDAYSPECIALHOUR: "Sun (Special Hour)",
    MONDAYSPECIALHOUR: "Mon (Special Hour)",
    TUESDAYSPECIALHOUR: "Tue (Special Hour)",
    WEDNESDAYSPECIALHOUR: "Wed (Special Hour)",
    THURSDAYSPECIALHOUR: "Thu (Special Hour)",
    FRIDAYSPECIALHOUR: "Fri (Special Hour)",
    SATURDAYSPECIALHOUR: "Sat (Special Hour)",
    
	LASTAPPROVEDDATE: "Last Approved Date",
    BILLABLE: "Billable",
    
	PERCENTAGEP: "% Work",
    PERCENTAGE_DC: "% DC",
    EETC: "EETC",
    SUMMARYNOTES: "Summary Notes",
    TIMECODE: "Timecode",
	ADDITIONAL_EFFORT: 'Additional Effort',
	
	ACTIONS: "Actions",
    
    // Dialog
    
    TIMESHEET_DIALOG_NOT_SAVED: "Timesheet is not saved",
    TIMESHEET_NOT_SAVED_DIALOG: "Values entered for the current week is not saved.",
    TIMESHEET_SAVE_CONFIRMATION: "Do you want to save?",
	
	TIMESHEET_PLEASE_SAVE_MESSAGE: "Please save the timesheet before proceeding to the next step",
    
    //Billable
	OK: "OK",
    YES: "Yes",
    NO: "No",
	CANCEL: "Cancel",
    PARTIAL: "Partial",
    // Calender
    ET: "ET",
    GMT: "GMT",
    IST: "IST",
    
    // Timecode related
    
    TIMECODE_NAME: "Name",
    TIMECODE_DESCRIPTION: "Description",
    TIMECODE_CODE: "Code",
    TIMECODE_ASSIGN: "Assign",
    TIMECODE_REMOVE: "Remove",
    TIMECODE_TREE_TITLE: "Timecode Tree",
	
	FORMAT: "Format",
	HOURS_FORMAT: "hours:minutes",
	EXAMPLE: "Example",
	HOURS_FORMAT_EXAMPLE: "12:59, 1:1, 1, 123:210",
	HOURS_FORMAT_INVALID: "The data entered is invalid.",
    
    // Error Messages
    
    TASK_DETAIL_EMPTY: "There is no detail related to the task",
    TASK_ASSIGNMENT_DETAIL_EMPTY: "Task assignment detail is empty",
    PROJECT_LIST_EMPTY: "No projects are currently available for the user",
    TIMESHEET_OBJECT_FAILED: "The timesheet associated with this task assignment is empty",
    //Success Messages
    SAVEDSUCCESSFULLY: "Saved Successfully",
    
    // not timesheet available message
    NO_TIMESHEET_AVAILABLE: "There is no timesheet available for this week",
	
	SELECT_USER_LABEL: "Select the user to view his/her timesheet",
	SELECTED_USER_LABEL: "User selected",
	
	CLOSE: "Close",
	
	//Assignment type
	EFFORT: "Effort",
	DURATION: "Duration",

	DESCRIPTION: "Description",
	TASK_SCHEDULE_DETAILS: "Details",
	LOADING: "Loading",
	NOTES_FOR: "Notes for"
	
   

})
